Skip to main content

eftpos Timeout Voids


Overview

Use this information to process a time-out void for a sale or credit. This service enables you to cancel a transaction for which you did not receive a response. A time-out void for a refund is not supported currently.

For an overview of supported eftpos transaction types and integrations, see eftpos Sale.

Supported Processor

Supported processor: eftpos

Endpoints

POST /pts/v2/voids/

POST /pts/v2/voids/

Example

{  "clientReferenceInformation": {    "code": "RTS-TimeOutVoid",    "comments": "eftpos timeout void",    "transactionId": "uniqueValue1",    "partner": {      "thirdPartyCertificationNumber": "testTPCN",      "developerId": "eftpos12",      "solutionId": "eftpos123"    }  }}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/voids/7580640991306189703814"    }  },  "clientReferenceInformation": {    "code": "RTS-TimeOutVoid",    "comments": "eftpos timeout void",    "partner": {      "developerId": "eftpos12",      "solutionId": "eftpos123"    },    "transactionId": "uniqueValue1"  },  "id": "7580640991306189703814",  "orderInformation": {    "amountDetails": {      "currency": "AUD"    }  },  "processorInformation": {    "retrievalReferenceNumber": "522492514022",    "settlementDate": "0917",    "responseCode": "00"  },  "reconciliationId": "7580631006866928703813",  "status": "VOIDED",  "submitTimeUtc": "2025-09-16T23:08:19Z",  "voidAmountDetails": {    "currency": "aud",    "voidAmount": "100.00"  }}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.commentsSet the value to eftpos timeout void.
clientReferenceInformation.partner.developerId provides the value for this field.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionIdSet the value to the transaction ID for the original transaction.

Last published: September 29, 2026